<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>

    <title>Document</title>
</head>
<body>
    <div id="root">

        <!-- v-model với input -->
        <input type="text" v-model="message">
        <p>{{message}}</p>  
        <input type="checkbox" id="checkbox" v-model="checked">
        <label for="checkbox">{{checked}}</label>

        <hr>
        <!-- v-model với radio -->
        <label for="">chọn món</label><br>
        <input type="radio" id="ga-ran" v-model="nameFood" value="Gà rán"><label>Gà rán</label>
        <br>
        <input type="radio" id="bo-xao" v-model="nameFood" value="Bò Xào"><label>Bò Xào</label>
        <br>
        <label for="radio">Bạn đã chọn: {{nameFood}}</label>

        <hr>
        <!-- v-model với select -->
        <select v-model="selected">
            <option disabled value="">Vui lòng chọn món</option>
            <option >Gà rán</option>
            <option>Rau Muống xào tỏi</option>
            <option >Lẩu chua cay</option>
        </select>
        <span>Món bạn đã chọn: {{selected}}</span>

        <hr>
        <!-- v-model với v-for -->
        <select id="" v-model="selecteds">
            <option v-for="option in object" v-bind:value="option.value">
                {{option.text}}
            </option>
        </select>
    </div>
    <script>
    new Vue({
        el:'#root',
        data:{
            message: '',
            checked:false,
            nameFood:'',
            selected:'',
            object:[
                { text: 'Đọt bí xào tỏi', value: '50k' },
                { text: 'Canh bông điên điển', value: '30k' },
                { text: 'Lẩu nấm', value: '45k' }
            ],
        },
    
    })
    </script>
</body>
</html>